Get invoice transactions
curl --request GET \
--url https://app.sideshift.app/api/embed/accounts/invoices \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sideshift.app/api/embed/accounts/invoices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sideshift.app/api/embed/accounts/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"sideshiftAccountId": "acct_a1b2c3d4e5f6",
"platformName": "ClipStake",
"invoices": [
{
"transactionId": "invoice_inv_123",
"invoiceId": "inv_123",
"platformName": "ClipStake",
"invoiceNumber": "INV-123",
"status": "paid",
"amountCents": 1000,
"currency": "usd",
"customerEmail": "jane@example.com",
"customerName": "Jane Creator",
"paidAt": "2026-03-13T12:30:00.000Z",
"createdAt": "2026-03-13T12:00:00.000Z",
"invoiceUrl": "https://app.sideshift.app/api/invoices/inv_123/pdf?download=false",
"receiptUrl": "https://app.sideshift.app/api/invoices/inv_123/receipt?download=false"
}
],
"pagination": {
"total": 1,
"limit": 10,
"offset": 0,
"hasMore": false
}
}
}Retrieve invoice-backed payin transactions for an account.
This endpoint only returns invoice payments. General wallet topups and other non-invoice deposits do not appear here, even though they still appear in /accounts/balance transactions.
GET
/
accounts
/
invoices
Get invoice transactions
Authorizations
Your SideShift Connect API key (sk_live_* or sk_test_*). Generate from Settings → Connect.
Query Parameters
Account to query
Required range:
1 <= x <= 50Required range:
x >= 0When true, invoice and receipt URLs force download
⌘I